// ★コメント未記入
#if !defined(AFX_EMPHASISLISTCTRL_H__C62E1A94_5BE9_4AB8_9F82_CEF4C22D9621__INCLUDED_)
#define AFX_EMPHASISLISTCTRL_H__C62E1A94_5BE9_4AB8_9F82_CEF4C22D9621__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// EmphasisListCtrl.h : ヘッダー ファイル
//
#include "EmphasisDefine.h"

/////////////////////////////////////////////////////////////////////////////
// CEmphasisListCtrl ウィンドウ

class CEmphasisListCtrl : public CListCtrl
{
// コンストラクション
public:
	CEmphasisListCtrl();
	void Attach( CEmphasisDefine* pDefine ){ m_pEmphasisDefine = pDefine; };
	CEmphasisDefine* GetList(){ return( m_pEmphasisDefine ); };

// アトリビュート
public:

// オペレーション
public:

// オーバーライド
	// ClassWizard は仮想関数のオーバーライドを生成します。
	//{{AFX_VIRTUAL(CEmphasisListCtrl)
	virtual void DrawItem( LPDRAWITEMSTRUCT lpDrawItemStruct );
	//}}AFX_VIRTUAL

// インプリメンテーション
public:
	virtual ~CEmphasisListCtrl();

	// 生成されたメッセージ マップ関数
protected:
	//{{AFX_MSG(CEmphasisListCtrl)
	afx_msg void OnClick(NMHDR* pNMHDR, LRESULT* pResult);
	//}}AFX_MSG

	CEmphasisDefine*	m_pEmphasisDefine;

	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ は前行の直前に追加の宣言を挿入します。

#endif // !defined(AFX_EMPHASISLISTCTRL_H__C62E1A94_5BE9_4AB8_9F82_CEF4C22D9621__INCLUDED_)
